## gobject-introspection 1.66.1

=== docs/website/tools/Makefile ===
# update man pages

all: ../../g-ir-compiler.1 ../../g-ir-generate.1 ../../g-ir-scanner.1

../../%.1:%.rst
	rst2man $< > $@

.PHONY: clean

clean:
	rm -f ../../g-ir-compiler.1 ../../g-ir-generate.1 ../../g-ir-scanner.1

## gobject-introspection 0.6.10-1maemo1

=== debian/changelog ===
gobject-introspection (0.6.10-1maemo1) unstable; urgency=low

  * Bump to 0.6.10

 -- Zach Goldberg <zach@zachgoldberg.com>  Sat, 24 Apr 2010 21:36:24 -0400

gobject-introspection (0.6.7-3maemo1) unstable; urgency=low

  * Build for Maemo 5.

 -- Anderson Lizardo <anderson.lizardo@openbossa.org>  Wed, 03 Mar 2010 14:17:58 -0400

gobject-introspection (0.6.7-3) unstable; urgency=low

  * debian/gobject-introspection.install:
    + Include autoconf/automake m4 macros and Makefile helpers for
      gobject-introspection autoconf/automake integration.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 13 Jan 2010 09:10:57 +0100

gobject-introspection (0.6.7-2) unstable; urgency=low

  * debian/control.in:
  - add libffi-dev as a Dependency for libgirepository1.0-dev
    (Closes: #564050)

 -- Gustavo Noronha Silva <kov@debian.org>  Thu, 07 Jan 2010 09:30:36 -0200

gobject-introspection (0.6.7-1) unstable; urgency=low

  * New upstream release:
    + debian/patches/02_home_permissions.patch:
      - Dropped, merged upstream.
    + debian/rules:
      - Update shlibs version for new API.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 06 Jan 2010 07:36:50 +0100

gobject-introspection (0.6.5-4) unstable; urgency=low

  * Run dh_girepository in binary-predeb so that permissions are fixed 
    before. Closes: #551529.

 -- Josselin Mouette <joss@debian.org>  Mon, 19 Oct 2009 08:14:55 +0200

gobject-introspection (0.6.5-3) unstable; urgency=low

  * Remove obsolete statement regarding a dropped package.
  * Switch to python-support, the dependencies created by python-central 
    are broken.
  * Introduce debhelper script, dh_girepository.
    + Install it in /usr/bin.
  * policy.txt: ship the GObject introspection mini policy.
  * Rename packages and rearrange files according to it.
  * Fix sections accordingly.

 -- Josselin Mouette <joss@debian.org>  Sun, 18 Oct 2009 11:57:20 +0200

gobject-introspection (0.6.5-2) unstable; urgency=low

  * 02_home_permissions.patch: new patch. Do not crash when $HOME is not 
    writable. Closes: #549126.
  * Fix spelling errors in copyright.

 -- Josselin Mouette <joss@debian.org>  Thu, 01 Oct 2009 09:49:46 +0200

gobject-introspection (0.6.5-1) unstable; urgency=low

  * New upstream release:
    + debian/rules:
      - Update shlibs version to 0.6.5.
  * debian/control.in:
    + Update Standards-Version to 3.8.3.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 05 Sep 2009 07:31:58 +0200

gobject-introspection (0.6.4-1) unstable; urgency=low

  * New upstream release

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 01 Jul 2009 09:45:28 -0300

gobject-introspection (0.6.3-1) unstable; urgency=low

  * New upstream release
  * debian/control, debian/python-giscanner.install,
    debian/gobject-introspection.install:
  - python modules were made private with this release; I consulted with
    upstream and decided that following suit, and removing
    python-giscanner was in order
  * debian/control.in:
  - Make libgirepository1.0-dev conflict with and replace
    libgirepository-dev
  - Add a gobject-introspection-freedesktop package to hold the
    freedesktop-related modules which are also being shipped in this
    source package now.

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 24 Jun 2009 17:03:09 -0300

gobject-introspection (0.6.2-1) unstable; urgency=low

  * New upstream release:
    + debian/control.in,
      debian/*.install,
      debian/rules:
      - All libraries and directories now have 1.0 in their filenames,
        change everything accordingly.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 22 Jan 2009 07:43:46 +0100

gobject-introspection (0.6.1-2) unstable; urgency=low

  * debian/rules:
    + Set HOME to the builddir and clean it correctly as it's used
      for a cache directory and otherwise fails on buildds with non-writable
      HOME.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 06 Dec 2008 21:19:19 +0100

gobject-introspection (0.6.1-1) unstable; urgency=low

  [ Loic Minier ]
  * Extract libgirepository package name from control.
  * Use $(cdbs_curpkg).

  [ Sebastian Dröge ]
  * New upstream release:
    + debian/control.in:
      - Update build-depends.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 27 Nov 2008 08:23:51 +0100

gobject-introspection (0.6.0-1) unstable; urgency=low

  * Initial version (Closes: #497451).

 -- Sebastian Dröge <slomo@debian.org>  Sat, 01 Nov 2008 12:16:00 +0100

=== debian/control ===
Source: gobject-introspection
Section: devel
Priority: optional
Maintainer: Sebastian Dröge <slomo@debian.org>
Uploaders: 
Build-Depends: debhelper (>= 5),
               cdbs,
               gnome-pkg-tools (>= 0.10),
               python-dev (>= 2.5),
               python-support,
	       python-cairo-dev,
	       libcairo2-dev,
               pkg-config,
               flex,
               bison,
               libglib2.0-dev (>= 2.16.0),
               libffi-dev,
               libtool
Standards-Version: 3.8.3
XS-Python-Version: >= 2.5
Homepage: http://live.gnome.org/GObjectIntrospection

Package: libgirepository1.0-0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Library for handling GObject introspection data (runtime library)
 GObject Introspection is a project for providing machine readable
 introspection data of the API of C libraries. This introspection
 data can be used in several different use cases, for example
 automatic code generation for bindings, API verification and documentation
 generation.
 .
 GObject Introspection contains tools to generate and handle the
 introspection data.
 .
 This package contains a C library for handling the introspection data.

Package: libgirepository1.0-dev
Section: libdevel
Architecture: any
Depends: libgirepository1.0-0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.16.0),
         libffi-dev,
         ${shlibs:Depends},
         ${misc:Depends}
Conflicts: libgirepository-dev,
           gobject-introspection-glib-2.0,
           gobject-introspection-freedesktop
Replaces: libgirepository-dev
Description: Library for handling GObject introspection data (development files)
 GObject Introspection is a project for providing machine readable
 introspection data of the API of C libraries. This introspection
 data can be used in several different use cases, for example
 automatic code generation for bindings, API verification and documentation
 generation.
 .
 GObject Introspection contains tools to generate and handle the
 introspection data.
 .
 This package contains the headers for the C library for handling the
 introspection data.

Package: gobject-introspection
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         libgirepository1.0-0 (= ${binary:Version})
Provides: ${python:Provides}
Description: Generate interface introspection data for GObject libraries
 GObject Introspection is a project for providing machine readable
 introspection data of the API of C libraries. This introspection
 data can be used in several different use cases, for example
 automatic code generation for bindings, API verification and documentation
 generation.
 .
 GObject Introspection contains tools to generate and handle the
 introspection data.
 .
 This package contains tools for extracting introspection data from libraries
 and transforming it to different formats.

Package: gir1.0-glib-2.0
Architecture: any
Section: libs
Depends: ${gir:Depends},
         ${misc:Depends}
Conflicts: gobject-introspection-glib-2.0
Description: Introspection data for GLib, GObject, Gio and GModule
 GObject Introspection is a project for providing machine readable
 introspection data of the API of C libraries. This introspection
 data can be used in several different use cases, for example
 automatic code generation for bindings, API verification and documentation
 generation.
 .
 GObject Introspection contains tools to generate and handle the
 introspection data.
 .
 This package contains the introspection data for the GLib, GObject,
 GModule and Gio libraries.

Package: gir1.0-freedesktop
Architecture: any
Section: libs
Depends: ${gir:Depends},
         ${misc:Depends}
Conflicts: gobject-introspection-freedesktop
Description: Introspection data for some FreeDesktop components
 GObject Introspection is a project for providing machine readable
 introspection data of the API of C libraries. This introspection
 data can be used in several different use cases, for example
 automatic code generation for bindings, API verification and documentation
 generation.
 .
 GObject Introspection contains tools to generate and handle the
 introspection data.
 .
 This package contains small pieces of introspection data for the Cairo,
 FontConfig, FreeType, GL, and some XOrg libraries. They are
 distributed in this package temporarily, while the original sources
 do not include support for GObject Introspection. They are far from 
 complete and only include what is necessary for other introspection 
 packages to work properly.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

prefix = /opt/pygi
DEB_MAKE_ENVVARS += HOME=$(CURDIR)
DEB_CONFIGURE_EXTRA_FLAGS = --prefix=$(prefix)

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
ifeq ($(DEB_HOST_ARCH),i386)
DEB_CONFIGURE_SCRIPT_ENV += CPPFLAGS="-I/usr/include/i486-linux-gnu"
endif
ifeq ($(DEB_HOST_ARCH),armel)
DEB_CONFIGURE_SCRIPT_ENV += CPPFLAGS="-I/usr/include/arm-linux-gnueabi"
endif

libgirepositoryN := $(shell sed -rn 's/^Package:[[:space:]]*(libgirepository-1.0[0-9]+)[[:space:]]*$$/\1/p' debian/control)

DEB_DH_MAKESHLIBS_ARGS_$(libgirepositoryN) = -V '$(libgirepositoryN) (>= 0.6.7)'

binary-install/gobject-introspection::
	dh_pysupport -p$(cdbs_curpkg)

build/gobject-introspection:: debian/dh_girepository.1
debian/dh_girepository.1:: debian/dh_girepository
	pod2man -c "gobject-introspection" -r "$(DEB_VERSION)" $< $@

$(patsubst %,binary-predeb/%,$(DEB_ALL_PACKAGES)) ::
	debian/dh_girepository -p$(cdbs_curpkg)
	# remove unnecessary documentation and man pages
	rm -rf debian/$(cdbs_curpkg)/{usr,$(prefix)}/share/{doc,man}
	rmdir -p debian/$(cdbs_curpkg)/{usr,$(prefix)}/share || true

clean::
	rm -rf $(CURDIR)/.cache
	rm -f debian/dh_girepository.1
	rm -f giscanner/*.py[co]

=== debian/watch ===
version=2
http://ftp.gnome.org/pub/GNOME/sources/gobject-introspection/([\d.]*)/ \
	gobject-introspection-(.*)\.tar\.gz \
	debian uupdate

## gobject-introspection 0.6.10-1maemo2

=== debian/changelog ===
gobject-introspection (0.6.10-1maemo2) unstable; urgency=low

  * Add a patch to gi to fix broken 'ldd'

 -- Zach Goldberg <zach@zachgoldberg.com>  Mon, 26 Apr 2010 13:59:22 -0400

## gobject-introspection 0.6.14

=== debian/changelog ===
gobject-introspection (0.6.14-1~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.
  * Add myself as an uploader. 

 -- Andres Salomon <dilinger@debian.org>  Tue, 21 Dec 2010 22:11:16 +0000

gobject-introspection (0.6.14-1) unstable; urgency=low

  * New upstream release
  * debian/control: Add Vcs-Svn and Vcs-Browser field
  * debian/libgirepository1.0-0.symbols: Add symbols file
  * Switch to dpkg-source 3.0 (quilt) format

 -- Laurent Bigonville <bigon@debian.org>  Mon, 07 Jun 2010 09:46:24 +0200

gobject-introspection (0.6.12-1) unstable; urgency=low

  * New upstream release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 25 May 2010 11:40:59 +0200

gobject-introspection (0.6.11-1) unstable; urgency=low

  * New upstream release:
    + debian/gir1.0-freedesktop.install:
      - Add xrandr-1.3 introspection files.
    + debian/libgirepository1.0-dev.install:
      - Add API documentation.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 22 May 2010 12:35:59 +0200

gobject-introspection (0.6.10-1) unstable; urgency=low

  * New upstream release:
    + debian/control.in:
      - Add build dependency on libcairo2-dev.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 19 Apr 2010 10:39:33 +0200

gobject-introspection (0.6.9-1) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/rules:
    - Abort the build if the test suite doesn't pass.

  [ Sebastian Dröge ]
  * New upstream release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 25 Mar 2010 17:43:40 +0100

gobject-introspection (0.6.8-1) unstable; urgency=low

  * New upstream release.
    - Catch OSError when trying to run libtool. Closes: #573798.
  * debian/watch:
    - Don't uupdate.
  * debian/control.in:
    - Standards-Version is 3.8.4, no changes needed.
  * debian/patches/01_disable-tests.patch:
    - Removed. Build the tests again.
  * debian/rules:
    - Run the test suite during the build, but don't make it fatal yet.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 14 Mar 2010 16:57:57 +0100

=== debian/control ===
--- 
+++ 
@@ -2,23 +2,25 @@
 Section: devel
 Priority: optional
 Maintainer: Sebastian Dröge <slomo@debian.org>
-Uploaders: 
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Gustavo Noronha Silva <kov@debian.org>, Andres Salomon <dilinger@debian.org>
 Build-Depends: debhelper (>= 5),
                cdbs,
                gnome-pkg-tools (>= 0.10),
                python-dev (>= 2.5),
                python-support,
-	       python-cairo-dev,
-	       libcairo2-dev,
                pkg-config,
                flex,
                bison,
                libglib2.0-dev (>= 2.16.0),
+               libcairo2-dev,
                libffi-dev,
-               libtool
-Standards-Version: 3.8.3
+               libtool,
+               gtk-doc-tools (>= 1.12)
+Standards-Version: 3.8.4
 XS-Python-Version: >= 2.5
 Homepage: http://live.gnome.org/GObjectIntrospection
+Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/unstable/gobject-introspection
+Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/packages/unstable/gobject-introspection/
 
 Package: libgirepository1.0-0
 Section: libs

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_MAKE_ENVVARS += HOME=$(CURDIR)
DEB_MAKE_CHECK_TARGET = check

DEB_CONFIGURE_EXTRA_FLAGS += --enable-gtk-doc

libgirepositoryN := $(shell sed -rn 's/^Package:[[:space:]]*(libgirepository-1.0[0-9]+)[[:space:]]*$$/\1/p' debian/control)

DEB_DH_MAKESHLIBS_ARGS_$(libgirepositoryN) = -V '$(libgirepositoryN) (>= 0.6.12)'

binary-install/gobject-introspection::
	dh_pysupport -p$(cdbs_curpkg)

build/gobject-introspection:: debian/dh_girepository.1
debian/dh_girepository.1:: debian/dh_girepository
	pod2man -c "gobject-introspection" -r "$(DEB_VERSION)" $< $@

$(patsubst %,binary-predeb/%,$(DEB_ALL_PACKAGES)) ::
	debian/gobject-introspection/usr/bin/dh_girepository -p$(cdbs_curpkg)

clean::
	rm -rf $(CURDIR)/.cache
	rm -f debian/dh_girepository.1

## gobject-introspection 0.9.3

=== debian/changelog ===
gobject-introspection (0.9.3-0ubuntu4) maverick; urgency=low

  * debian/patches/01_giscanner_cache.patch:
    - Fix crash when no cache directory

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 12 Aug 2010 10:02:35 +1000

gobject-introspection (0.9.3-0ubuntu3) maverick; urgency=low

  * Resynchronize on Debian and fix upgrade issues (lp: #616295)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 11 Aug 2010 12:19:03 +0200

gobject-introspection (0.6.15~git20100713-1) experimental; urgency=low

  [ Laurent Bigonville ]
  * Install Everything-1.0 and GIMarshallingTests-1.0 typelib in new
    gir1.0-everything-1.0 package (Closes: #550478)
  * Split documentation in its own -doc package (Closes: #584876)
  * debian/rules: Remove shlibs versioning logic now we're using .symbols file

  [ Gustavo Noronha Silva ]
  * Development snapshot
  * debian/libgirepository1.0-0.symbols:
  - update with new and remove(!) symbols
  * debian/patches/01_fix_doc_building.diff:
  - dodge documentation build problem by removing files that do not
    exist from the file lists
  * debian/rules:
  - no longer need simple-patchsys with 3.0 (quilt) source format
  * debian/control:
  - build-depend on glib >= 2.25.11 to make sure we can bind the new
    interfaces such as GSettings

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 13 Jul 2010 16:31:27 -0300

gobject-introspection (0.9.3-0ubuntu2) maverick; urgency=low

  * Correctly renamed binaries for the soname change and updating shlibs

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Aug 2010 18:12:39 +0200

gobject-introspection (0.9.3-0ubuntu1) maverick; urgency=low

  * New upstream release
  * debian/control:
    - Added Vcs-Bzr link
  * debian/patches/01_fix_arm_ftbfs.patch:
    - Applied upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 10 Aug 2010 17:55:47 +1000

gobject-introspection (0.6.14-1ubuntu2) maverick; urgency=high

  * Added debian/patches/01_fix_arm_ftbfs.patch (LP: #597947)
    - Correct FTBFS on ARM due to additional variable types being defined causing
      the tst suite to fail to build properly. This patch renames the affected
      variables, and updates the known-good test template.

 -- Michael Casadevall <mcasadevall@ubuntu.com>  Wed, 23 Jun 2010 23:24:21 +0000

gobject-introspection (0.6.14-1ubuntu1) maverick; urgency=low

  * Resync on Debian

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 08 Jun 2010 12:50:39 +0200

gobject-introspection (0.6.12-1ubuntu1) maverick; urgency=low

  * debian/gir1.0-glib-2.0.install:
  * debian/libgirepository1.0-0.install:  
  * debian/libgirepository1.0-dev.install:
    - Add Everything and GIMarshallingTests modules (LP: 510426)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 02 Jun 2010 13:14:59 +1000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,14 @@
+# This file is autogenerated. DO NOT EDIT!
+# 
+# Modifications should be made to debian/control.in instead.
+# This file is regenerated automatically in the clean target.
+
 Source: gobject-introspection
 Section: devel
 Priority: optional
-Maintainer: Sebastian Dröge <slomo@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Gustavo Noronha Silva <kov@debian.org>, Andres Salomon <dilinger@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sebastian Dröge <slomo@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Gustavo Noronha Silva <kov@debian.org>, Laurent Bigonville <bigon@debian.org>, Sebastian Dröge <slomo@debian.org>
 Build-Depends: debhelper (>= 5),
                cdbs,
                gnome-pkg-tools (>= 0.10),
@@ -19,14 +25,15 @@
 Standards-Version: 3.8.4
 XS-Python-Version: >= 2.5
 Homepage: http://live.gnome.org/GObjectIntrospection
-Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/unstable/gobject-introspection
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/packages/unstable/gobject-introspection/
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gobject-introspection/ubuntu
 
-Package: libgirepository1.0-0
+Package: libgirepository1.0-1
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
+Conflicts: libgirepository1.0-0 (= 0.9.3-0ubuntu1)
+Replaces: libgirepository1.0-0 (= 0.9.3-0ubuntu1)
 Description: Library for handling GObject introspection data (runtime library)
  GObject Introspection is a project for providing machine readable
  introspection data of the API of C libraries. This introspection
@@ -42,7 +49,7 @@
 Package: libgirepository1.0-dev
 Section: libdevel
 Architecture: any
-Depends: libgirepository1.0-0 (= ${binary:Version}),
+Depends: libgirepository1.0-1 (= ${binary:Version}),
          libglib2.0-dev (>= 2.16.0),
          libffi-dev,
          ${shlibs:Depends},
@@ -51,6 +58,7 @@
            gobject-introspection-glib-2.0,
            gobject-introspection-freedesktop
 Replaces: libgirepository-dev
+Suggests: libgirepository1.0-doc
 Description: Library for handling GObject introspection data (development files)
  GObject Introspection is a project for providing machine readable
  introspection data of the API of C libraries. This introspection
@@ -64,12 +72,30 @@
  This package contains the headers for the C library for handling the
  introspection data.
 
+Package: libgirepository1.0-doc
+Section: doc
+Architecture: all
+Depends: ${misc:Depends}
+Replaces: libgirepository1.0-dev (<< 0.9.3-0ubuntu3)
+Description: Library for handling GObject introspection data (documentation)
+ GObject Introspection is a project for providing machine readable
+ introspection data of the API of C libraries. This introspection
+ data can be used in several different use cases, for example
+ automatic code generation for bindings, API verification and documentation
+ generation.
+ .
+ GObject Introspection contains tools to generate and handle the
+ introspection data.
+ .
+ This package contains the documentation for the C library for handling the
+ introspection data.
+
 Package: gobject-introspection
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${python:Depends},
-         libgirepository1.0-0 (= ${binary:Version})
+         libgirepository1.0-1 (= ${binary:Version})
 Provides: ${python:Provides}
 Description: Generate interface introspection data for GObject libraries
  GObject Introspection is a project for providing machine readable
@@ -125,3 +151,25 @@
  do not include support for GObject Introspection. They are far from 
  complete and only include what is necessary for other introspection 
  packages to work properly.
+
+Package: gir1.0-everything-1.0
+Architecture: any
+Section: libs
+Depends: ${shlibs:Depends},
+         ${gir:Depends},
+         ${misc:Depends}
+Replaces: libgirepository1.0-0, 
+          libgirepository1.0-1 (<< 0.9.3-0ubuntu3), 
+          gir1.0-glib-2.0 (<< 0.9.3-0ubuntu3)
+Description: Introspection data for some FreeDesktop components
+ GObject Introspection is a project for providing machine readable
+ introspection data of the API of C libraries. This introspection
+ data can be used in several different use cases, for example
+ automatic code generation for bindings, API verification and documentation
+ generation.
+ .
+ GObject Introspection contains tools to generate and handle the
+ introspection data.
+ .
+ This package contains the introspection data for the GLib, GObject,
+ GModule and Gio libraries.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_MAKE_ENVVARS += HOME=$(CURDIR)
DEB_MAKE_CHECK_TARGET = check

DEB_CONFIGURE_EXTRA_FLAGS += --enable-gtk-doc

binary-install/gobject-introspection::
	dh_pysupport -p$(cdbs_curpkg)

build/gobject-introspection:: debian/dh_girepository.1
debian/dh_girepository.1:: debian/dh_girepository
	pod2man -c "gobject-introspection" -r "$(DEB_VERSION)" $< $@

$(patsubst %,binary-predeb/%,$(DEB_ARCH_PACKAGES)) ::
	debian/gobject-introspection/usr/bin/dh_girepository -p$(cdbs_curpkg)

clean::
	rm -rf $(CURDIR)/.cache
	rm -f debian/dh_girepository.1

=== debian/watch ===
version=2
http://ftp.gnome.org/pub/GNOME/sources/gobject-introspection/([\d.]*)/ \
	gobject-introspection-(.*)\.tar\.gz

## gobject-introspection 0.10.7

=== debian/changelog ===
gobject-introspection (0.10.7-0ubuntu1) natty; urgency=low

  * New upstream release
    - Some bug fixes and missing annotations.
    - Update GIO annotations to latest git head.
    - girparser: use c:identifier-prefixes instead of c:prefix
    - support setting gobjects and ginterfaces in struct fields

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 05 Apr 2011 11:49:04 +0200

gobject-introspection (0.10.4-1ubuntu1) natty; urgency=low

  * FFe for multiarch: LP: #733501
  * dh_girepository: use the proposed multiarch tuple directories 
    instead of the GNU triplets.  (The code was wrong anyway, using build
    arch instead of host arch...)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 14 Mar 2011 21:37:26 -0700

gobject-introspection (0.10.4-1) experimental; urgency=low

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 11 Mar 2011 20:15:31 +0000

gobject-introspection (0.10.3-1) experimental; urgency=low

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 28 Feb 2011 19:47:26 +0000

gobject-introspection (0.10.2-1) experimental; urgency=low

  * New upstream release.
    + debian/libgirepository-1.0-1.symbols:
      - Updated for the new symbols.
    + debian/rules:
      - Fail the build if the symbols file is outdated.
      - Make the shlibs file always depend on the latest upstream version.
  * debian/dh_girepository:
    + Look for libraries in private directories. Closes: #612148.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 10 Feb 2011 00:19:41 +0000

gobject-introspection (0.10.1-1) experimental; urgency=low

  * New upstream release.
    - d/p/0001-Avoid-using-namespace-as-identifier-in-public-header.patch,
      d/p/0002-Regenerate-gio-2.0.c-and-gobject-2.0.c-from-current-.patch,
      d/p/0003-Regenerate-gio-2.0.c.patch,
      d/p/0004-scanner-Properly-parse-recursive-list-type-nodes.patch,
      d/p/0005-scanner-Fix-handling-of-property-transfer.patch,
      d/p/0006-scanner-Make-sure-that-vfuncs-made-to-the-GIR.patch:
      + Removed, included upstream.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 12 Jan 2011 23:30:21 +0000

gobject-introspection (0.10.0-2) experimental; urgency=low

  * debian/dh_girepository:
    - Look for the format version everywhere in all the <repository line,
      not just after "<repository", as some packages (e.g. telepathy-glib)
      have it at the end.
  * debian/patches/0001-Avoid-using-namespace-as-identifier-in-public-header.patch
    debian/patches/0002-Regenerate-gio-2.0.c-and-gobject-2.0.c-from-current-.patch
    debian/patches/0003-Regenerate-gio-2.0.c.patch
    debian/patches/0004-scanner-Properly-parse-recursive-list-type-nodes.patch
    debian/patches/0005-scanner-Fix-handling-of-property-transfer.patch
    debian/patches/0006-scanner-Make-sure-that-vfuncs-made-to-the-GIR.patch
    - Backport patches from upstream git to build with latest glib2.0.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 07 Jan 2011 17:32:00 +0000

gobject-introspection (0.10.0-1) experimental; urgency=low

  * New upstream release.
    - debian/libgirepository-1.0-1.symbols:
      + Updated.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 23 Dec 2010 02:02:10 +0000

gobject-introspection (0.9.12-5) experimental; urgency=low

  * debian/dh_girepository:
    - Use the extra dirs to look for the corresponding girs.
    - Also use them to look for the dependencies in the same package.
    - Rename the -i option to -p as it conflicts with the -i/--indep
      debhelper option and it's not used by any package yet.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 14 Dec 2010 00:49:23 +0100

gobject-introspection (0.9.12-4) experimental; urgency=low

  * debian/policy:
    - Require that gir packages are named properly according to the gir
      format (e.g. gir1.2* for gir 1.2 format).
    - Require that a gir package's dependencies have the same format
      as the package itself.
    - Update examples to use the 1.2 format.
  * debian/dh_girepository:
    - Implement the above changes, aborting if the package name is not
      correct or if the dependencies don't have the same format.
    - Add a -i option to look for dependencies in the specified
      directories.
    - Every extra parameter without an option is now an extra directory
      where to look for the typelibs in the package, in addition to
      usr/lib/girepository-1.0/.
  * debian/control.in,
    debian/gir1.*:
    - Rename the gir packages to gir1.2* to follow the new policy.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 11 Dec 2010 19:02:50 +0100

gobject-introspection (0.9.12-3) experimental; urgency=low

  * debian/control.in: Add missing replaces on gir-repository-dev.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 20 Nov 2010 18:48:17 +0100

gobject-introspection (0.9.12-2) experimental; urgency=low

  * debian/control.in: Add Provides/Conflicts/Replaces on Ubuntu package name

 -- Laurent Bigonville <bigon@debian.org>  Wed, 03 Nov 2010 19:07:46 +0100

gobject-introspection (0.9.12-1) experimental; urgency=low

  * New upstream release
    - Drop debian/patches/01_fix_doc_building.diff: not needed anymore
    - Drop debian/patches/02_local_gir.patch: Fixed upstream
  * Really drop debian/patches/02_giscanner_cache.patch
  * Drop gir1.0-everything-1.0.{install,symbols}, not needed anymore
  * debian/rules: Remove useless environment variables
  * debian/watch: Bump watch file version to 3

 -- Laurent Bigonville <bigon@debian.org>  Sat, 23 Oct 2010 23:51:25 +0200

gobject-introspection (0.9.6-1) experimental; urgency=low

  [ Simon McVittie ]
  * New upstream release
    - add skeletal DBus-1.0 and DBusGLib-1.0 introspection to
      gir1.0-freedesktop
    - remove debian/patches/02_giscanner_cache.patch - applied upstream
    - remove gir1.0-everything, whose files are no longer installed by
      upstream
    - install the source code for gir1.0-everything, which pygi now uses


=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Sebastian Dröge <slomo@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Gustavo Noronha Silva <kov@debian.org>, Laurent Bigonville <bigon@debian.org>, Sebastian Dröge <slomo@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>
 Build-Depends: debhelper (>= 5),
                cdbs,
                gnome-pkg-tools (>= 0.10),
@@ -17,23 +17,25 @@
                pkg-config,
                flex,
                bison,
-               libglib2.0-dev (>= 2.16.0),
+               libglib2.0-dev (>= 2.25.11),
                libcairo2-dev,
                libffi-dev,
                libtool,
                gtk-doc-tools (>= 1.12)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 XS-Python-Version: >= 2.5
 Homepage: http://live.gnome.org/GObjectIntrospection
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gobject-introspection/ubuntu
+Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/unstable/gobject-introspection
+Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/packages/unstable/gobject-introspection/
 
-Package: libgirepository1.0-1
+Package: libgirepository-1.0-1
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Conflicts: libgirepository1.0-0 (= 0.9.3-0ubuntu1)
-Replaces: libgirepository1.0-0 (= 0.9.3-0ubuntu1)
+Provides: libgirepository1.0-1
+Conflicts: libgirepository1.0-1
+Replaces: libgirepository1.0-1
 Description: Library for handling GObject introspection data (runtime library)
  GObject Introspection is a project for providing machine readable
  introspection data of the API of C libraries. This introspection
@@ -49,7 +51,7 @@
 Package: libgirepository1.0-dev
 Section: libdevel
 Architecture: any
-Depends: libgirepository1.0-1 (= ${binary:Version}),
+Depends: libgirepository-1.0-1 (= ${binary:Version}),
          libglib2.0-dev (>= 2.16.0),
          libffi-dev,
          ${shlibs:Depends},
@@ -57,7 +59,8 @@
 Conflicts: libgirepository-dev,
            gobject-introspection-glib-2.0,
            gobject-introspection-freedesktop
-Replaces: libgirepository-dev
+Replaces: libgirepository-dev,
+          gir-repository-dev
 Suggests: libgirepository1.0-doc
 Description: Library for handling GObject introspection data (development files)
  GObject Introspection is a project for providing machine readable
@@ -76,7 +79,8 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Replaces: libgirepository1.0-dev (<< 0.9.3-0ubuntu3)
+Breaks: libgirepository1.0-dev (<< 0.6.14-2)
+Replaces: libgirepository1.0-dev (<< 0.6.14-2)
 Description: Library for handling GObject introspection data (documentation)
  GObject Introspection is a project for providing machine readable
  introspection data of the API of C libraries. This introspection
@@ -95,7 +99,8 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${python:Depends},
-         libgirepository1.0-1 (= ${binary:Version})
+         dpkg-dev (>= 1.16.0~ubuntu4),
+         libgirepository-1.0-1 (= ${binary:Version})
 Provides: ${python:Provides}
 Description: Generate interface introspection data for GObject libraries
  GObject Introspection is a project for providing machine readable
@@ -110,12 +115,13 @@
  This package contains tools for extracting introspection data from libraries
  and transforming it to different formats.
 
-Package: gir1.0-glib-2.0
+Package: gir1.2-glib-2.0
 Architecture: any
 Section: libs
 Depends: ${gir:Depends},
          ${misc:Depends}
-Conflicts: gobject-introspection-glib-2.0
+Conflicts: gobject-introspection-glib-2.0,
+           gir1.0-glib-2.0
 Description: Introspection data for GLib, GObject, Gio and GModule
  GObject Introspection is a project for providing machine readable
  introspection data of the API of C libraries. This introspection
@@ -129,12 +135,13 @@
  This package contains the introspection data for the GLib, GObject,
  GModule and Gio libraries.
 
-Package: gir1.0-freedesktop
+Package: gir1.2-freedesktop
 Architecture: any
 Section: libs
 Depends: ${gir:Depends},
          ${misc:Depends}
-Conflicts: gobject-introspection-freedesktop
+Conflicts: gobject-introspection-freedesktop,
+           gir1.0-freedesktop
 Description: Introspection data for some FreeDesktop components
  GObject Introspection is a project for providing machine readable
  introspection data of the API of C libraries. This introspection
@@ -151,25 +158,3 @@
  do not include support for GObject Introspection. They are far from 
  complete and only include what is necessary for other introspection 
  packages to work properly.
-
-Package: gir1.0-everything-1.0
-Architecture: any
-Section: libs
-Depends: ${shlibs:Depends},
-         ${gir:Depends},
-         ${misc:Depends}
-Replaces: libgirepository1.0-0, 
-          libgirepository1.0-1 (<< 0.9.3-0ubuntu3), 
-          gir1.0-glib-2.0 (<< 0.9.3-0ubuntu3)
-Description: Introspection data for some FreeDesktop components
- GObject Introspection is a project for providing machine readable
- introspection data of the API of C libraries. This introspection
- data can be used in several different use cases, for example
- automatic code generation for bindings, API verification and documentation
- generation.
- .
- GObject Introspection contains tools to generate and handle the
- introspection data.
- .
- This package contains the introspection data for the GLib, GObject,
- GModule and Gio libraries.

=== debian/rules ===
--- 
+++ 
@@ -6,10 +6,17 @@
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
 -include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
+common-binary-post-install-arch:: list-missing
+list-missing: remove-unwanted-files
+remove-unwanted-files:
+	rm -f debian/tmp/usr/lib/gobject-introspection/giscanner/*.py[co]
+	rm -f debian/tmp/usr/lib/*.la
+
 DEB_MAKE_ENVVARS += HOME=$(CURDIR)
 DEB_MAKE_CHECK_TARGET = check
 
 DEB_CONFIGURE_EXTRA_FLAGS += --enable-gtk-doc
+DEB_DH_MAKESHLIBS_ARGS_ALL += -V -- -c4
 
 binary-install/gobject-introspection::
 	dh_pysupport -p$(cdbs_curpkg)

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/gobject-introspection/([\d.]*)/ \
	gobject-introspection-(.*)\.tar\.gz

## gobject-introspection 0.10.8

=== debian/changelog ===
gobject-introspection (0.10.8-2) unstable; urgency=low

  * debian/watch: Switch to .bz2 tarballs.
  * debian/dh_girepository: Use DEB_HOST_MULTIARCH when checking for multiarch
    library directories. Closes: #631452

 -- Michael Biebl <biebl@debian.org>  Sat, 25 Jun 2011 01:17:53 +0200

gobject-introspection (0.10.8-1) unstable; urgency=low

  * New upstream release.
  * Use dh_python2 instead of pysupport
  * debian/control:
    - Bump cdbs and python-dev build-dependencies
    - Drop python-support build-dependency
    - Bump Standards-Version to 3.9.2 (no further changes)
  * debian/rules:
    - Call dh_python2 instead of dh_pysupport
    - Delete .pyc files in clean rule

 -- Laurent Bigonville <bigon@debian.org>  Fri, 06 May 2011 21:54:25 +0200

gobject-introspection (0.10.7-1) unstable; urgency=low

  * policy.txt: change the policy about dependencies between the 
    development package and the gir package.
    Rationale: this will simplify build-dependencies a lot.
  * Implement this in libgirepository1.0-dev.
  * New upstream release.

 -- Josselin Mouette <joss@debian.org>  Sun, 10 Apr 2011 17:39:47 +0200

gobject-introspection (0.10.4-2) unstable; urgency=low

  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 22 Mar 2011 00:32:36 +0000

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,12 @@
 Source: gobject-introspection
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sebastian Dröge <slomo@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>
-Build-Depends: debhelper (>= 5),
-               cdbs,
+Maintainer: Sebastian Dröge <slomo@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 8),
+               cdbs (>= 0.4.90~),
                gnome-pkg-tools (>= 0.10),
-               python-dev (>= 2.5),
-               python-support,
+               python-dev (>= 2.6.6-3~),
                pkg-config,
                flex,
                bison,
@@ -22,8 +20,8 @@
                libffi-dev,
                libtool,
                gtk-doc-tools (>= 1.12)
-Standards-Version: 3.9.1
-XS-Python-Version: >= 2.5
+Standards-Version: 3.9.2
+X-Python-Version: >= 2.5
 Homepage: http://live.gnome.org/GObjectIntrospection
 Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/unstable/gobject-introspection
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/packages/unstable/gobject-introspection/
@@ -52,6 +50,8 @@
 Section: libdevel
 Architecture: any
 Depends: libgirepository-1.0-1 (= ${binary:Version}),
+         gir1.2-glib-2.0 (= ${binary:Version}),
+         gir1.2-freedesktop (= ${binary:Version}),
          libglib2.0-dev (>= 2.16.0),
          libffi-dev,
          ${shlibs:Depends},
@@ -99,9 +99,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${python:Depends},
-         dpkg-dev (>= 1.16.0~ubuntu4),
          libgirepository-1.0-1 (= ${binary:Version})
-Provides: ${python:Provides}
 Description: Generate interface introspection data for GObject libraries
  GObject Introspection is a project for providing machine readable
  introspection data of the API of C libraries. This introspection

## gobject-introspection 1.30.0

=== debian/changelog ===
gobject-introspection (1.30.0-0ubuntu2) oneiric; urgency=low

  * Add 01-account_for_padding_in_struct_size_check.patch: On some platform
    like armel or powerpc the compiler adds extra padding to structs. Make the
    test_size_of_struct_with_array_of_anon_unions() check more liberal by only
    requiring that the size of the struct is at least as big as expected. Also
    use g_assert_cmpuint() to make it easier to see the actual diff. This
    fixes FTBFS on armel/powerpc. (LP: #857314)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 28 Sep 2011 10:34:48 +0200

gobject-introspection (1.30.0-0ubuntu1) oneiric; urgency=low

  * New upstream bug fix release.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 21 Sep 2011 15:06:29 +0200

gobject-introspection (1.29.17-0ubuntu1) oneiric; urgency=low

  * New upstream bug fix release.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 02 Sep 2011 06:25:20 +0200

gobject-introspection (1.29.16+git20110829-0ubuntu1) oneiric; urgency=low

  * New upstream snapshot, to fix a lot of bugs, in particular Gio typelib
    generation.
  * debian/libgirepository-1.0-1.symbols: Update for new version.
  * debian/glib-2.0.c, debian/rules: Drop our hack to force older glib
    annotations, as we use pygobject 2.90 now. This unbreaks a lot of Gio API.
    Add a Breaks: to older pygobject versions.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 18 Aug 2011 18:24:54 +0200

gobject-introspection (1.29.16-0ubuntu1) oneiric; urgency=low

  * New upstream release.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 09 Aug 2011 14:30:23 +0200

gobject-introspection (1.29.0-0ubuntu2) oneiric; urgency=low

  * Add debian/glib-2.0.c: Roll back to gir/glib-2.0 as of before upstream
    commit 6d30588c1. Later commits have a GVariant which current pygobject
    does not deal with. This is fixed in the invoke-rewrite branch of
    pygobject, so until this lands we need the older annotations. Install this
    file in debian/rules after patching, and restore it in clean.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 08 Jul 2011 11:38:44 +0200

gobject-introspection (1.29.0-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * debian/control.in: Bump glib build dependency according to new upstream
    configure.ac.
  * debian/libgirepository-1.0-1.symbols: Add new symbols from this release.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 07 Jul 2011 11:49:03 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
 Source: gobject-introspection
 Section: devel
 Priority: optional
-Maintainer: Sebastian Dröge <slomo@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sebastian Dröge <slomo@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 8),
                cdbs (>= 0.4.90~),
                gnome-pkg-tools (>= 0.10),
@@ -15,7 +16,7 @@
                pkg-config,
                flex,
                bison,
-               libglib2.0-dev (>= 2.25.11),
+               libglib2.0-dev (>= 2.29.7),
                libcairo2-dev,
                libffi-dev,
                libtool,
@@ -120,6 +121,7 @@
          ${misc:Depends}
 Conflicts: gobject-introspection-glib-2.0,
            gir1.0-glib-2.0
+Breaks: python-gobject (<< 2.90)
 Description: Introspection data for GLib, GObject, Gio and GModule
  GObject Introspection is a project for providing machine readable
  introspection data of the API of C libraries. This introspection

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,6 @@
 common-binary-post-install-arch:: list-missing
 list-missing: remove-unwanted-files
 remove-unwanted-files:
-	rm -f debian/tmp/usr/lib/gobject-introspection/giscanner/*.py[co]
 	rm -f debian/tmp/usr/lib/*.la
 
 DEB_MAKE_ENVVARS += HOME=$(CURDIR)
@@ -19,7 +18,7 @@
 DEB_DH_MAKESHLIBS_ARGS_ALL += -V -- -c4
 
 binary-install/gobject-introspection::
-	dh_pysupport -p$(cdbs_curpkg)
+	dh_python2 -p$(cdbs_curpkg)
 
 build/gobject-introspection:: debian/dh_girepository.1
 debian/dh_girepository.1:: debian/dh_girepository
@@ -31,3 +30,4 @@
 clean::
 	rm -rf $(CURDIR)/.cache
 	rm -f debian/dh_girepository.1
+	find . -name '*.pyc' -delete

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/gobject-introspection/([\d.]*)/ \
	gobject-introspection-(.*)\.tar\.bz2
